Index: main/features.c
===================================================================
--- main/features.c     (revision 397876)
+++ main/features.c     (working copy)
@@ -5733,6 +5733,17 @@
        );

        AST_STANDARD_APP_ARGS(args, tmp_val);
+
+       if (ast_strlen_zero(args.app)
+               || ast_strlen_zero(args.exten)
+               || ast_strlen_zero(activateon)
+               || ast_strlen_zero(var->name)) {
+               ast_log(LOG_NOTICE,
+                       "Please check the feature Mapping Syntax, either extension, name, or app aren't provided %s %s %s %s\n",
+                       args.app, args.exten, activateon, var->name);
+               return;
+       }
+
        if ((new_syn = strchr(args.app, '('))) {
                /* New syntax */
                args.moh_class = args.app_args;
@@ -5745,17 +5756,6 @@

        activateon = strsep(&args.activatedby, "/");

-       /*! \todo XXX var_name or app_args ? */
-       if (ast_strlen_zero(args.app)
-               || ast_strlen_zero(args.exten)
-               || ast_strlen_zero(activateon)
-               || ast_strlen_zero(var->name)) {
-               ast_log(LOG_NOTICE,
-                       "Please check the feature Mapping Syntax, either extension, name, or app aren't provided %s %s %s %s\n",
-                       args.app, args.exten, activateon, var->name);
-               return;
-       }
-
        AST_RWLIST_RDLOCK(&feature_list);
        if (find_dynamic_feature(var->name)) {
                AST_RWLIST_UNLOCK(&feature_list);

